Bug 837042 - add php(language) virtual provide
add php(language) virtual provide
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: php (Show other bugs)
6.5
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Web Stack Team
David Kutálek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-02 11:08 EDT by Joe Orton
Modified: 2013-02-21 05:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 837043 837044 (view as bug list)
Environment:
Last Closed: 2013-02-21 05:14:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2012-07-02 11:08:03 EDT
Description of problem:
Third-party (e.g. EPEL) and Fedora packaging requires a "virtual" provide for the PHP language version, independent of the specific php packages which are installed.  We are using "php(language) = version" for this; this should be added to the php packages in Red Hat Enterprise Linux so third-party packagers can produce consistently packaged PHP libraries (and web applications) for Fedora and RHEL.

Version-Release number of selected component (if applicable):
php-5.3.3-14.el6_3

How reproducible:
always

Steps to Reproduce:
1. rpm -q --provides php-common | grep 'php(language)'
  
Actual results:
nada

Expected results:
5.3.3
Comment 1 RHEL Product and Program Management 2012-07-10 04:30:45 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 2 RHEL Product and Program Management 2012-07-10 21:54:34 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 3 Remi Collet 2012-10-05 04:33:04 EDT
Changes to be applied for EPEL packagers

From rpmdiff output on php-common:
added       PROVIDES php(language) = 5.3.3
added       PROVIDES php-core  
added       PROVIDES php-ereg  
added       PROVIDES php-filter  
added       PROVIDES php-standard  

And, when php-devel installed
$ rpm --eval %{php_version}
5.3.3
Comment 4 Remi Collet 2012-10-05 06:44:30 EDT
Sorry, I have miss one.

added       PROVIDES php-phar  

Virtual provides must be in sync with php -m output.
Comment 8 Greg Swallow 2013-02-17 18:04:53 EST
And php-xmlwriter could be added to the php-xml subpackage's provides too?  That is needed for one of the horde 4 rpms you are working on (php-horde-kronolith)

I made an emtpy package with those provides to get around the problem for now.  

PS - One other rpm that does not seem to be in epel by the way is php-pecl-http, required by php-horde-Horde-Http - I couldn't use the rpm from your repo as it was build against php-5.4.  There is a version on rpmforge's repo though built against 5.3.

Thanks Remi!
Comment 9 Remi Collet 2013-02-19 04:07:45 EST
php-xmlwriter and php-xmlreader will be also add (see bug #874987)
Comment 10 errata-xmlrpc 2013-02-21 05:14:20 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0514.html

Note You need to log in before you can comment on or make changes to this bug.